using domain;
using domain.Models.RequestModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Zurnal.Domain.UseCase;
using Zurnal.RemaDateBase.DateDao;

namespace UI
{
    public class GroupConsol
    {   
        private readonly GroupUseCase _groupUseCase;
        public GroupConsol(GroupUseCase groupUseCase) {
            _groupUseCase = groupUseCase;
        }

        public void AddGroup() {
            Console.WriteLine("Введите название группы: ");
    string groupName = Console.ReadLine();

    if (string.IsNullOrWhiteSpace(groupName)) {
        Console.WriteLine("Название группы не может быть пустым. Пожалуйста, введите корректное название.");
        return;
    }
            GroupDao groupDao = new GroupDao { GroupName = groupName };
    _groupUseCase.AddGroup(groupDao);
        }
    }

}